Get Merchant Coverages
curl --request GET \
--url https://api.usepooler.com/business/coverages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usepooler.com/business/coverages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usepooler.com/business/coverages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usepooler.com/business/coverages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usepooler.com/business/coverages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usepooler.com/business/coverages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usepooler.com/business/coverages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"stan": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency_name": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Business
Get Merchant Coverages
Retrieve a list of currency coverages available for your merchant account.
GET
/
business
/
coverages
Get Merchant Coverages
curl --request GET \
--url https://api.usepooler.com/business/coverages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usepooler.com/business/coverages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usepooler.com/business/coverages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usepooler.com/business/coverages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usepooler.com/business/coverages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usepooler.com/business/coverages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usepooler.com/business/coverages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"stan": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency_name": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Retrieve a list of currency coverages available for your merchant account. This shows which currencies you can process payments in.
Overview
This endpoint returns all currency coverages that have been configured for your merchant account. Each coverage indicates a currency that your account is enabled to process.Response
boolean
Indicates whether the request was successful
string
Response message
string
System trace audit number (unique transaction identifier)
array
Array of coverage objects, each containing:
id: Unique coverage identifiercurrency_name: Full name of the currency (e.g., “Botswanan Pula”)is_active: Whether this coverage is currently activecreated_at: Timestamp when coverage was createdupdated_at: Timestamp when coverage was last updated
Authorizations
Bearer token authentication. Include your API key in the Authorization header as: Bearer {your_api_key}
⌘I